--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -419,7 +419,7 @@ if(ENABLE_UNIT_TESTS)
 endif()
 
 include(CMakePackageConfigHelpers)
-set(CMAKE_MODULES_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
+set(CMAKE_MODULES_INSTALL_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/cmake/${PROJECT_NAME}")
 configure_package_config_file("cmake/${PROJECT_NAME}Config.cmake.in" "${PROJECT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
 	INSTALL_DESTINATION "${CMAKE_MODULES_INSTALL_DIR}"
 	PATH_VARS LIBLINPHONE_PLUGINS_DIR
--- a/wrappers/cpp/CMakeLists.txt
+++ b/wrappers/cpp/CMakeLists.txt
@@ -105,12 +105,12 @@
 
 install(EXPORT LinphoneCxxTargets
 	FILE LinphoneCxxTargets.cmake
-	DESTINATION "${CMAKE_INSTALL_DATADIR}/LinphoneCxx/cmake"
+	DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/cmake/LinphoneCxx"
 )
 install(FILES
 	"${CMAKE_CURRENT_BINARY_DIR}/LinphoneCxxConfig.cmake"
 	"${CMAKE_CURRENT_BINARY_DIR}/LinphoneCxxVersion.cmake"
-	DESTINATION "${CMAKE_INSTALL_DATADIR}/LinphoneCxx/cmake"
+	DESTINATION "${CMAKE_INSTALL_FULL_LIBDIR}/cmake/LinphoneCxx"
 )
 
 if(ENABLE_DOC OR ENABLE_CXX_WRAPPER)
